Fedora Core 5 : beagle-0.2.5-1.fc5.1 (2006-440)

High Nessus Plugin ID 21273


The remote Fedora Core host is missing a security update.


This upgrade to 0.2.5 fixes various bugs, including making the firefox extension work again. It also contains fixes for a minor security issue where you could inject command line argument into the indexer helpers.

Note that Tenable Network Security has extracted the preceding description block directly from the Fedora security advisory. Tenable has attempted to automatically clean and format it as much as possible without introducing additional issues.


Update the affected packages.

See Also


Plugin Details

Severity: High

ID: 21273

File Name: fedora_2006-440.nasl

Version: $Revision: 1.10 $

Type: local

Agent: unix

Published: 2006/04/26

Modified: 2015/10/21

Dependencies: 12634

Risk Information

Risk Factor: High


Base Score: 7.5

Vector: CVSS2#AV:N/AC:L/Au:N/C:P/I:P/A:P

Vulnerability Information

CPE: p-cpe:/a:fedoraproject:fedora:beagle, p-cpe:/a:fedoraproject:fedora:beagle-debuginfo, p-cpe:/a:fedoraproject:fedora:libbeagle, p-cpe:/a:fedoraproject:fedora:libbeagle-devel, p-cpe:/a:fedoraproject:fedora:libbeagle-python, cpe:/o:fedoraproject:fedora_core:5

Required KB Items: Host/local_checks_enabled, Host/RedHat/release, Host/RedHat/rpm-list

Patch Publication Date: 2006/04/21

Reference Information

CVE: CVE-2006-1865

FEDORA: 2006-440